Package org.jfree.report.modules.data.sql

# Class SQLReportDataModule

java.lang.Object
org.pentaho.reporting.libraries.base.boot.DefaultModuleInfo
org.pentaho.reporting.libraries.base.boot.AbstractModule
org.jfree.report.modules.data.sql.SQLReportDataModule

All Implemented Interfaces:
  `org.pentaho.reporting.libraries.base.boot.Module`, `org.pentaho.reporting.libraries.base.boot.ModuleInfo`

public class SQLReportDataModule extends org.pentaho.reporting.libraries.base.boot.AbstractModule
Creation-Date: 07.04.2006, 14:45:02

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`SQLReportDataModule()`

## Method Summary

Modifier and Type
Method
Description
`void`
`initialize(org.pentaho.reporting.libraries.base.boot.SubSystem subSystem)`
Initializes the module.

### Methods inherited from class org.pentaho.reporting.libraries.base.boot.AbstractModule

`configure, getDescription, getName, getOptionalModules, getProducer, getRequiredModules, getSubSystem, isClassLoadable, loadModuleInfo, loadModuleInfo, performExternalInitialize, performExternalInitialize, setDescription, setName, setOptionalModules, setProducer, setRequiredModules, setSubSystem, toString`

### Methods inherited from class org.pentaho.reporting.libraries.base.boot.DefaultModuleInfo

`equals, getMajorVersion, getMinorVersion, getModuleClass, getPatchLevel, hashCode, setMajorVersion, setMinorVersion, setModuleClass, setPatchLevel`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.pentaho.reporting.libraries.base.boot.ModuleInfo

`getMajorVersion, getMinorVersion, getModuleClass, getPatchLevel`

## Constructor Details

### SQLReportDataModule

public SQLReportDataModule() throws org.pentaho.reporting.libraries.base.boot.ModuleInitializeException

Throws:
  `org.pentaho.reporting.libraries.base.boot.ModuleInitializeException`

## Method Details

### initialize

public void initialize(org.pentaho.reporting.libraries.base.boot.SubSystem subSystem) throws org.pentaho.reporting.libraries.base.boot.ModuleInitializeException
Initializes the module. Use this method to perform all initial setup operations. This method is called only once in a modules lifetime. If the initializing cannot be completed, throw a ModuleInitializeException to indicate the error,. The module will not be available to the system.

Parameters:
  `subSystem` - the subSystem.
Throws:
  `org.pentaho.reporting.libraries.base.boot.ModuleInitializeException` - if an error ocurred while initializing the module.